JOURNAL_STOP(9)

NAME
journal_stop - complete a transaction

SYNOPSIS

int journal_stop (handle_t * handle);

ARGUMENTS

handle
    tranaction to complete.

DESCRIPTION

All done for a particular handle.

There is not much action needed here. We just return any remaining buffer credits to the transaction and remove the handle. The only complication is that we need to start a commit operation if the filesystem is marked for synchronous update.

journal_stop itself will not usually return an error, but it may do so in unusual circumstances. In particular, expect it to return -EIO if a journal_abort has been executed since the transaction began.

AUTHORS
Roger Gammans <rgammans@computer-surgery.co.uk>, Stephen Tweedie <sct@redhat.com>.